"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var makeElement_1 = __importDefault(require("../makeElement"));
test('element node having the correct structure', function () {
    var element = makeElement_1.default('foo', {
        foo: 'bar',
        hell: 'yeah',
    }, [
        makeElement_1.default('first', {}, []),
        makeElement_1.default('second', {}, []),
        makeElement_1.default('third', {}, []),
    ]);
    expect(element).toMatchObject({
        name: 'foo',
        type: 'element',
        attributes: {
            foo: 'bar',
            hell: 'yeah',
        },
        elements: [
            { name: 'first', type: 'element' },
            { name: 'second', type: 'element' },
            { name: 'third', type: 'element' },
        ],
    });
});
