"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var zeroPad_1 = __importDefault(require("../zeroPad"));
test('zeroPad with default length', function () {
    expect(zeroPad_1.default(1)).toBe('01');
    expect(zeroPad_1.default('1')).toBe('01');
    expect(zeroPad_1.default(10)).toBe('10');
    expect(zeroPad_1.default('10')).toBe('10');
    expect(zeroPad_1.default(100)).toBe('100');
    expect(zeroPad_1.default('100')).toBe('100');
});
test('zeroPad with custom length', function () {
    var length = 5;
    expect(zeroPad_1.default(1, length)).toBe('00001');
    expect(zeroPad_1.default('1', length)).toBe('00001');
    expect(zeroPad_1.default(10, length)).toBe('00010');
    expect(zeroPad_1.default('10', length)).toBe('00010');
    expect(zeroPad_1.default(100, length)).toBe('00100');
    expect(zeroPad_1.default('100', length)).toBe('00100');
});
